﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'SUPN')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'SUPDET' AND CONSTRAINT_NAME = 'FK_SUPDET_SUPMAS')
BEGIN 
PRINT 'Creating foreign key FK_SUPDET_SUPMAS on table SUPDET'
ALTER TABLE [dbo].[SUPDET]  WITH CHECK ADD  CONSTRAINT [FK_SUPDET_SUPMAS] FOREIGN KEY([SUPN])
REFERENCES [SUPMAS] ([SUPN])
ON DELETE CASCADE
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'DELC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_DELC')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_DELC on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_DELC] DEFAULT ((0)) FOR [DELC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'TNET' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_TNET')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_TNET on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_TNET] DEFAULT ((0)) FOR [TNET]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'VLED1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_VLED1')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_VLED1 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_VLED1] DEFAULT ((0)) FOR [VLED1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'VLED2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_VLED2')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_VLED2 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_VLED2] DEFAULT ((0)) FOR [VLED2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'VLED3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_VLED3')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_VLED3 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_VLED3] DEFAULT ((0)) FOR [VLED3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'VLED4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_VLED4')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_VLED4 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_VLED4] DEFAULT ((0)) FOR [VLED4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'VLED5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_VLED5')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_VLED5 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_VLED5] DEFAULT ((0)) FOR [VLED5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'VLED6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_VLED6')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_VLED6 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_VLED6] DEFAULT ((0)) FOR [VLED6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'VLED7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_VLED7')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_VLED7 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_VLED7] DEFAULT ((0)) FOR [VLED7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'LEAD' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_LEAD')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_LEAD on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_LEAD] DEFAULT ((0)) FOR [LEAD]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'SOQF' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_SOQF')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_SOQF on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_SOQF] DEFAULT ((0)) FOR [SOQF]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'MCPV' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_MCPV')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_MCPV on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_MCPV] DEFAULT ((0)) FOR [MCPV]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'MCPC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_MCPC')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_MCPC on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_MCPC] DEFAULT ((0)) FOR [MCPC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'MCPW' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_MCPW')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_MCPW on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_MCPW] DEFAULT ((0)) FOR [MCPW]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'TCPW' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_TCPW')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_TCPW on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_TCPW] DEFAULT ((0)) FOR [TCPW]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'TCPV' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_TCPV')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_TCPV on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_TCPV] DEFAULT ((0)) FOR [TCPV]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'TCPP' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_TCPP')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_TCPP on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_TCPP] DEFAULT ((0)) FOR [TCPP]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'RMES' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_RMES')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_RMES on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_RMES] DEFAULT ((0)) FOR [RMES]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'ReviewDay1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_ReviewDay1')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_ReviewDay1 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_ReviewDay1] DEFAULT ((0)) FOR [ReviewDay1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'ReviewDay2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_ReviewDay2')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_ReviewDay2 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_ReviewDay2] DEFAULT ((0)) FOR [ReviewDay2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'ReviewDay3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_ReviewDay3')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_ReviewDay3 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_ReviewDay3] DEFAULT ((0)) FOR [ReviewDay3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'ReviewDay4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_ReviewDay4')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_ReviewDay4 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_ReviewDay4] DEFAULT ((0)) FOR [ReviewDay4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'ReviewDay5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_ReviewDay5')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_ReviewDay5 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_ReviewDay5] DEFAULT ((0)) FOR [ReviewDay5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'ReviewDay6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_ReviewDay6')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_ReviewDay6 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_ReviewDay6] DEFAULT ((0)) FOR [ReviewDay6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPDET' AND COLUMN_NAME = 'ReviewDay0' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SUPDET_ReviewDay0')
BEGIN 
    PRINT 'Creating default constraint DF_SUPDET_ReviewDay0 on table SUPDET' 
    ALTER TABLE [dbo].[SUPDET]
    ADD CONSTRAINT [DF_SUPDET_ReviewDay0] DEFAULT ((0)) FOR [ReviewDay0]
END 
GO

